import 'dart:io' show Platform;

import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';

import 'auth_token.dart';
import 'auth_qr_code.dart';

class Auth extends StatelessWidget {
  final Function(String) onSubmit;

  Auth({Key? key, required this.onSubmit}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    final bool isMobile = !kIsWeb && (Platform.isAndroid || Platform.isIOS);

    return isMobile
        ? AuthQRCode(onSubmit: onSubmit)
        : AuthToken(onSubmit: onSubmit);
  }
}
