import 'package:flutter/material.dart';
import 'package:mobile_scanner/mobile_scanner.dart';

class AuthQRCode extends StatelessWidget {
  final Function(String) onSubmit;

  AuthQRCode({Key? key, required this.onSubmit}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Stack(
      alignment: Alignment.bottomCenter,
      children: [
        MobileScanner(
          allowDuplicates: false,
          onDetect: (barcode, args) {
            final String code = barcode.rawValue ?? '';

            onSubmit(code);
          },
        ),
        Container(
          padding: EdgeInsets.all(12),
          margin: EdgeInsets.all(12),
          decoration: BoxDecoration(
            color: Colors.black54,
            borderRadius: BorderRadius.circular(6),
          ),
          child: Text(
            'Scan QR code from Localizely',
            style: TextStyle(color: Colors.white),
          ),
        ),
      ],
    );
  }
}
